# Flutter E-Commerce App With API

If you want to learn Flutter and bloc pattern with calling restfull api, please use this code for free.

## Screens
![Preview](screen_1.jpg)
![Preview](screen_2.jpg)
![Preview](screen_3.jpg)
![Preview](screen_4.jpg)
![Preview](screen_5.jpg)
![Preview](screen_6.jpg)

## Bloc pattern

This application is designed in bloc pattern like following:
![Preview](bloc_pattern.jpg)


## Api

This application use demo api from https://fakestoreapi.com/docs